VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Crystal Report API"
   ClientHeight    =   7830
   ClientLeft      =   120
   ClientTop       =   450
   ClientWidth     =   10650
   LinkTopic       =   "Form1"
   ScaleHeight     =   7830
   ScaleWidth      =   10650
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox chkPreview 
      Caption         =   "Preview"
      Height          =   375
      Left            =   3000
      TabIndex        =   10
      Top             =   1920
      Value           =   1  'Checked
      Width           =   1215
   End
   Begin VB.TextBox txtCopies 
      Height          =   285
      Left            =   3000
      TabIndex        =   9
      Text            =   "1"
      Top             =   1560
      Width           =   5535
   End
   Begin VB.ComboBox cboOrientation 
      Height          =   315
      Left            =   3000
      Style           =   2  'Dropdown List
      TabIndex        =   7
      Top             =   1200
      Width           =   5535
   End
   Begin VB.ComboBox cboPrinter 
      Height          =   315
      Left            =   3000
      Style           =   2  'Dropdown List
      TabIndex        =   5
      Top             =   480
      Width           =   5535
   End
   Begin VB.ComboBox cboPaperSources 
      Height          =   315
      Left            =   3000
      Style           =   2  'Dropdown List
      TabIndex        =   3
      Top             =   840
      Width           =   5535
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Print SQLServer  Report"
      Height          =   495
      Left            =   3000
      TabIndex        =   1
      Top             =   2760
      Width           =   2175
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Print Access Report"
      Height          =   495
      Left            =   720
      TabIndex        =   0
      Top             =   2760
      Width           =   2175
   End
   Begin VB.Label Label4 
      AutoSize        =   -1  'True
      Caption         =   "Copies"
      Height          =   195
      Left            =   1800
      TabIndex        =   8
      Top             =   1560
      Width           =   480
   End
   Begin VB.Label Label3 
      AutoSize        =   -1  'True
      Caption         =   "Orientation"
      Height          =   195
      Left            =   1800
      TabIndex        =   6
      Top             =   1200
      Width           =   765
   End
   Begin VB.Label Label2 
      AutoSize        =   -1  'True
      Caption         =   "Printer"
      Height          =   195
      Left            =   1800
      TabIndex        =   4
      Top             =   480
      Width           =   450
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Paper Source"
      Height          =   195
      Left            =   1800
      TabIndex        =   2
      Top             =   840
      Width           =   975
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cboPrinter_Change()
Dim Names() As String, numBin() As Integer, c As Long
Dim prn As Printer
        cboPaperSources.Clear
    For Each prn In Printers
        cboPrinter.AddItem prn.DeviceName
        If prn.DeviceName = cboPrinter.Text Then
            PrinterPaperSources prn.DeviceName, prn.Port, Names, numBin
            Exit For
        End If
    Next
For c = LBound(Names) To UBound(Names)
    If Names(c) <> "" Then
        cboPaperSources.AddItem Names(c)
        cboPaperSources.ItemData(cboPaperSources.NewIndex) = numBin(c)
    End If
Next
If cboPaperSources.ListCount Then cboPaperSources.ListIndex = 0
End Sub

Private Sub cboPrinter_Click()
cboPrinter_Change
End Sub

Private Sub Command1_Click()
Dim prn As Printer
Dim p(0) As crParamInfo
Dim FormIndex As Long
    Screen.MousePointer = 11
            For Each prn In Printers
                If prn.DeviceName = cboPrinter.Text Then
                    Exit For
                End If
            Next
               
        FormIndex = PrinterFindFormIndex(prn.DeviceName, "A5")
            p(0).Name = "ID"
            p(0).Value = 2
        PrintCrystalReport App.Path & "\AccessReport.rpt", "MSDASQL.1", "crdb_ado.dll", "", App.Path & "\NWIND.MDB", "Admin", "", p, prn, , chkPreview.Value = 1, Val(txtCopies), FormIndex, cboPaperSources.ItemData(cboPaperSources.ListIndex), cboOrientation.ItemData(cboOrientation.ListIndex)
    Screen.MousePointer = 0

End Sub

Private Sub Command2_Click()
Dim prn As Printer
Dim p(0) As crParamInfo
Dim server_info() As String
Const mMMPerInch As Single = 25.4
    Dim pW As Long, pH As Long, FormIndex As Long
            pW = (8.27 * mMMPerInch * 1000)
            pH = (4 * mMMPerInch * 1000)
    

    Screen.MousePointer = 11
            For Each prn In Printers
                If prn.DeviceName = cboPrinter.Text Then
                    Exit For
                End If
            Next
                PrinterUpdateForm prn.DeviceName, pW, pH, "small_receipt"
        FormIndex = PrinterFindFormIndex(prn.DeviceName, "small_receipt")
            p(0).Name = "transno"
            p(0).Value = 2567
Open App.Path & "\server_info.txt" For Input As 1
    server_info = Split(Input(LOF(1), 1), ";;")
Close 1
        PrintCrystalReport App.Path & "\SqlReport.rpt", "SQLOLEDB.1", "crdb_ado.dll", server_info(0), server_info(1), server_info(2), server_info(3), p, prn, , chkPreview.Value = 1, Val(txtCopies), FormIndex, cboPaperSources.ItemData(cboPaperSources.ListIndex), cboOrientation.ItemData(cboOrientation.ListIndex)
    Screen.MousePointer = 0
End Sub

Private Sub Form_Load()
Dim prn As Printer
    For Each prn In Printers
        cboPrinter.AddItem prn.DeviceName
        If prn.DeviceName = Printer.DeviceName Then
            cboPrinter.ListIndex = cboPrinter.NewIndex
        End If
    Next
Const ORIENT_PORTRAIT = 1
Const ORIENT_LANDSCAPE = 2
    cboOrientation.AddItem "Portrait"
    cboOrientation.ItemData(cboOrientation.NewIndex) = ORIENT_PORTRAIT
    cboOrientation.AddItem "Landscape"
    cboOrientation.ItemData(cboOrientation.NewIndex) = ORIENT_LANDSCAPE
cboOrientation.ListIndex = 0
End Sub
